package com.uas.search;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class LuceneProperties {

	@Value("${lucene.indexes.dir}")
	private String indexesDir;

	@Value("${lucene.data.dir}")
	private String dataDir;

	/**
	 * @return 索引文件存储路径
	 */
	public String getIndexesDir() {
		return indexesDir;
	}

	public void setIndexesDir(String indexesDir) {
		this.indexesDir = indexesDir;
	}

	/**
	 * @return 存放批次数据的文件，用于创建索引
	 */
	public String getDataDir() {
		return dataDir;
	}

	public void setDataDir(String dataDir) {
		this.dataDir = dataDir;
	}

}
